# -*- coding: utf-8 -*-
# Generated by Django 1.11.14 on 2019-02-25 13:18
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import jsonfield.fields
import model_utils.fields


class Migration(migrations.Migration):

    dependencies = [
        ('django_shopify_synchronizer', '0018_auto_20190205_1541'),
    ]

    operations = [
        migrations.CreateModel(
            name='Customer',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('shopify_id', models.BigIntegerField()),
                ('data', jsonfield.fields.JSONField(blank=True, null=True)),
                ('last_import_date', models.DateTimeField(blank=True, null=True, verbose_name='Last import date')),
                ('shop', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='django_shopify_synchronizer.Shop')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AlterUniqueTogether(
            name='customer',
            unique_together=set([('shop', 'shopify_id')]),
        ),
    ]
